Subject: 23.2; field, header and headers

From: Leo <[email-masked]>
Date: Tue, 20 Jul 2010 07:32:13 +0100

RFC822, 2822, 5322 all seem very clear about the meaning and use of
'field' and 'header'.

However in function names and arguments in message.el and Gnus, header
usually means 'field' and headers means 'header'. Sometimes field is
used directly to mean 'field' as in message-fetch-field.

I find this inconsistency confusing. I think message.el and Gnus should
follow the same terminology used in the RFCs mentioned above and other
files, for example those in mail/, in Emacs to be consistent with their
use of 'field' and 'header'.

HTH,
Leo